#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%bcond_with tests

%define rel 4

Summary:        A modern communication and collaboration client
Name:           kube
Version:        0.8.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/unstable/kube/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         kube-0.8.0-kcalcore-19.08.patch
Patch1:         kube-0.8.0-mga-qt5.14.patch
Patch2:         kube-0.8.0-mga-shorten-socket-path.patch

Requires:       qtdeclarative5
Requires:       qtquickcontrols25
Requires:       qtquickcontrols5
Requires:       qtsvg5

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5WebEngineWidgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5WebChannel)
BuildRequires:  cmake(Qt5Positioning)
BuildRequires:  cmake(Qt5WebEngineCore)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5QuickTest)
BuildRequires:  cmake(Qt5Xml)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Codecs)

BuildRequires:  cmake(KAsync)
BuildRequires:  cmake(Sink)
BuildRequires:  cmake(QGpgme)

# For tests
BuildRequires:  fonts-ttf-dejavu
BuildRequires:  qtquickcontrols25
BuildRequires:  qtquickcontrols5
BuildRequires:  x11-server-xvfb

%description
A modern communication and collaboration client.

%files
%_kf5_bindir/kube
%_kf5_libdir/libkubeframework.so
%_kf5_qmldir/org/kube
%_kf5_appdatadir/org.kde.kube.appdata.xml
%_kf5_applicationsdir/org.kde.kube.desktop
%_kf5_iconsdir/hicolor/*/apps/kube_*
%_kf5_datadir/kube/

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
export EXCLUDE_FROM_STRIP="%_kf5_qmldir/org/kube/test/libtestplugin.so"

%if %{with tests}
%check
export LC_ALL=C
export SystemDrive=%{buildroot}
export LD_LIBRARY_PATH=%{buildroot}%_kf5_libdir
export QML2_IMPORT_PATH=%{buildroot}%_kf5_qmldir
# Tests on ARM and i586 fail with OOM, so only run them on x86_64
%ifarch x86_64
# Tests will fail if run in parallel
cd build && xvfb-run %__ctest --output-on-failure --force-new-ctest-process
%endif
# Don't package the test files
rm -rf %{buildroot}%_kf5_qmldir/org/kube/test/
%endif


%changelog
* Fri Dec 18 2020 daviddavid <daviddavid> 0.8.0-4.mga8
+ Revision: 1660889
- disable tests for now
+ umeabot <umeabot>
- Rebuild for new Qt5

* Tue May 12 2020 danf <danf> 0.8.0-3.mga8
+ Revision: 1583325
- Skip tests on ARM and x86 due to memory errors
- Add some necessary Requires:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Oct 07 2019 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1450430
- new version: 0.8.0

* Sun Mar 31 2019 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1382967
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1298682
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 neoclust <neoclust> 0.7.0-1.mga7
+ Revision: 1252892
- imported package kube

